[Bug 276802] Re: sync flamerobin 0.9.0 from debian unstable

Mariuz mapopa at gmail.com
Wed Nov 12 11:20:46 GMT 2008


I have upgraded an system to jaunty , seems is better to

1. sync firebird2.1 and firebird 2.0 packages from debian (that issue is solved from what i remember, i will check the archives)
2. require firebird2.1-dev (firebird 2.1 is latest stable suported  in this version on flamerobin )

and now i run the debuild and indeed i have that errror

/usr/bin/ld: cannot find -lfbclient
collect2: ld returned 1 exit status
make[1]: *** [flamerobin] Error 1
make[1]: Leaving directory `/home/ubuntu/flamerobin-0.9.0'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
debuild: fatal error at line 1329:
 ls -lah /usr/lib/libfbclient.so
lrwxrwxrwx 1 root root 20 2008-11-12 13:06 /usr/lib/libfbclient.so -> libfbclient.so.2.0.4

ls -lah /usr/lib/libfbclient.so.2.1.0

here is the list of packages installed for building

 sudo apt-get install firebird2.0-dev libwxgtk2.8-dev
  firebird2.0-common firebird2.0-server-common firebird2.1-common libfbclient2 libfbembed2 libwxbase2.8-dev wx2.8-headers
Suggested packages:
  firebird2.0-examples wx2.8-doc wx-common libgl-dev xlibmesa-glu-dev libglu-dev
The following NEW packages will be installed:
  firebird2.0-common firebird2.0-dev firebird2.0-server-common firebird2.1-common libfbclient2 libfbembed2 libwxbase2.8-dev
  libwxgtk2.8-dev wx2.8-headers
0 upgraded, 9 newly installed, 0 to remove and 2 not upgraded.
Need to get 6195kB of archives.
After this operation, 17.5MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://us.archive.ubuntu.com jaunty/universe firebird2.0-common 2.0.4.13130-1.ds1-2 [784kB]
Get:2 http://us.archive.ubuntu.com jaunty/universe firebird2.1-common 2.1.0.17798-0.ds2-1 [936kB]
Get:3 http://us.archive.ubuntu.com jaunty/universe libfbclient2 2.1.0.17798-0.ds2-1 [749kB]
Get:4 http://us.archive.ubuntu.com jaunty/universe firebird2.0-server-common 2.0.4.13130-1.ds1-2 [511kB]
Get:5 http://us.archive.ubuntu.com jaunty/universe libfbembed2 2.0.4.13130-1.ds1-2 [1477kB]
Get:6 http://us.archive.ubuntu.com jaunty/universe firebird2.0-dev 2.0.4.13130-1.ds1-2 [443kB]
Get:7 http://us.archive.ubuntu.com jaunty/universe wx2.8-headers 2.8.9.1-0ubuntu1 [1095kB]
Get:8 http://us.archive.ubuntu.com jaunty/universe libwxbase2.8-dev 2.8.9.1-0ubuntu1 [101kB]
Get:9 http://us.archive.ubuntu.com jaunty/universe libwxgtk2.8-dev 2.8.9.1-0ubuntu1 [101kB]

-- 
sync flamerobin 0.9.0 from debian unstable 
https://bugs.launchpad.net/bugs/276802
You received this bug notification because you are a member of Ubuntu
Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list